Exemple #1
0
        //--------------------------------------------------------------------------------------------------

        public static TopoDS_Solid MakeSolid(TopoDS_Shell shell, bool correctOrientation)
        {
            var builder = new BRep_Builder();
            var solid   = new TopoDS_Solid();

            builder.MakeSolid(solid);
            builder.Add(solid, shell);

            if (correctOrientation)
            {
                var classifier = new BRepClass3d_SolidClassifier(solid);
                classifier.PerformInfinitePoint(Precision.Confusion());
                if (classifier.State() == TopAbs_State.TopAbs_IN)
                {
                    solid = new TopoDS_Solid();
                    builder.MakeSolid(solid);
                    builder.Add(solid, shell.Reversed());
                }
            }

            return(solid);
        }
Exemple #2
0
        /// <summary>
        /// Make an empty Shell.
        /// </summary>
        /// <param name="S"></param>
        public void MakeShell(TopoDS_Shell S)
        {
            var ts = new TopoDS_TShell();

            MakeShape(S, ts);
        }
 public BRepLib_MakeSolid(TopoDS_Solid So, TopoDS_Shell S)
     : base()
 {
     throw new NotImplementedException();
 }
Exemple #4
0
 public TopAbs_State Classify(TopoDS_Shell S, gp_Pnt P, double Tol)
 {
     throw new NotImplementedException();
 }
Exemple #5
0
 public void LoadShell(TopoDS_Shell S)
 {
     throw new NotImplementedException();
 }
 public TopoDS_Shell Build(TopoDS_Shell shell, double sewtoler, double fixtoler)
 {
     throw new NotImplementedException();
 }
Exemple #7
0
 public bool IsOpenShell(TopoDS_Shell theShell)
 {
     throw new NotImplementedException();
 }
 public void AddShellFace(TopoDS_Shell Sh, TopoDS_Face F)
 {
     throw new NotImplementedException();
 }
Exemple #9
0
 public BRepPrimAPI_MakeHalfSpace(TopoDS_Shell Shell, gp_Pnt RefPnt)
     : base()
 {
     throw new NotImplementedException();
 }
 public bool FixFaceOrientation(TopoDS_Shell shell)
 {
     throw new NotImplementedException();
 }
Exemple #11
0
 public BRepBuilderAPI_MakeSolid(TopoDS_Shell S1, TopoDS_Shell S2, TopoDS_Shell S3)
     : base()
 {
     throw new NotImplementedException();
 }
 public bool FixFaceOrientation(TopoDS_Shell shell, bool _isAccountMultiConex)
 {
     throw new NotImplementedException();
 }
 public void Init(TopoDS_Shell shell)
 {
     throw new NotImplementedException();
 }
 public ShapeFix_Shell(TopoDS_Shell shape)
     : base()
 {
     throw new NotImplementedException();
 }
Exemple #15
0
        //--------------------------------------------------------------------------------------------------

        void _AddShellProperties(TopoDS_Shell shell)
        {
            const string cat = "Shell";

            _AddProperty(cat, "Free Edges", $"{(BRep_Tool.IsClosed(shell) ? "Yes" : "No")}");
        }
 public BRepCheck_Shell(TopoDS_Shell S)
     : base()
 {
     throw new NotImplementedException();
 }
Exemple #17
0
 public void Update(TopoDS_Shell S)
 {
     throw new NotImplementedException();
 }
Exemple #18
0
 public TopoDS_Solid SolidFromShell(TopoDS_Shell shell)
 {
     throw new NotImplementedException();
 }